#!/usr/bin/perl -w

# (c) Copyright by Tels 1999. All Rights Reserved.
# 2000-05-26 v0.0.1 - from scratch

use Cowgen::Bunch;  # for a bunch of brushes
use Cowgen::Dromed; # for some Thief constants and specifics
use Cowgen::Gamfile;
use Cowgen::Config qw(loadConfig);
use Cowgen::Vbr;
use Cowgen::ObjList;
use strict 'vars';

my $VERSION = 0.01;


print "benchmark for objlist\n";
print "(c) Copyright by Tels 1999-2000. All Rights Reserved.\n\n";

my $gf = Cowgen::Gamfile->create("thief2.gam");    # read file

my $time1 = time;
my ($r,$i); print "Start\n";
for ($i=0; $i <200; $i++)
  {
  $r = $gf->obj("Darionustestus");
  }
my $time2 = (time-$time1)||1;
print "Took $time2 seconds.\n";

$time1 = time; print "Start\n";
for ($i=0; $i <1000; $i++)
  {
  $r = $gf->obj("Door13");
  }
$time2 = (time-$time1)||1;

print "Took $time2 seconds.\n";

# EOF
1;

